Index: extensions/Autosize/js/Affiche_script.js
===================================================================
--- extensions/Autosize/js/Affiche_script.js	(revision 16682)
+++ extensions/Autosize/js/Affiche_script.js	(revision 16931)
@@ -3,1224 +3,499 @@
 // corriger   gmaps_pip.class.inc.php ajouter ligne 90 if ( !isset($_GET['slideshow']))
 //==============================================================
-(function (jQuery) {
-  jQuery(document).ready(function () {
-    //===================
-    // VARIABLES  
-    //===================
-    var theMainImage_obj = "#theMainImage";
-
-    type_src = "div";
-    old_window = { width: 0, height: 0 };
-    List_autosize = new Array();
+jQuery(document).ready(function (jQuery) {
+  //=============================================================
+  // REPONSE ACTION
+  //=============================================================
+  jQuery("#reset").click(function () {
+    location.reload();
+  });
+
+
+  //===========================================================
+  //  REPONSE TRIGGER 
+  //===========================================================
+  jQuery('#pamoorama').live('ON', function (e) {
+    jQuery(jQuery('.debug').get(1)).trigger('ON');
+    if (typeof Bandeau_bas == "undefined" || Bandeau_bas.width == 0) {
+      Bandeau_bas = infos_Description_f("#theImage");
+      Bandeau = Bandeau_bas.top;
+    }
+  });
+  //=============================================================
+  jQuery('#ret_autosize').live('ON', function (e) {
+    if (nu_img == "") nu_img = 8;
+    jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
+
+  });
+
+  //==========================================================
+  jQuery("map area").mouseover(function (e) {
+    hok = this;
+
+  });
+
+  //==================================
+  // jQuery("#llgbo").trigger("ON");
+  //==================================
+  jQuery(llgbo_id).live('ON', function (e) {
+    n_id = this;
+    infos_llgbo = jQuery(llgbo_id).infos();
+    if (infos_llgbo.visible == false) return;
+
+    marges_llgbo = 0;
+    if (infos_llgbo.height > 0) {
+      infos_llgboframe1 = jQuery(llgbo_id + " div:last").infos();
+      infos_llgboframe31 = jQuery(llgbo_id + "  div:first").infos();
+      //=============================================
+      ll2 = infos_llgboframe1.width; // llgboframe1
+      ll1 = infos_llgboframe31.general.width; // llgboframe31
+      options.marges_llgbo = (ll1 - ll2);
+      infos_llgboh2 = jQuery("#llgboh2").infos();
+    }
+  });
+  //==============================
+  // jQuery("#mapPicture").trigger("ON");
+  //==============================
+  jQuery("#mapPicture").live('ON', function (e) {
+    p2 = jQuery("#infoSwitcher").infos();
+  });
+  //==============================
+  // jQuery("#map").trigger("ON");
+  //==============================
+  jQuery("#map").live('ON', function (e) {
+
+  });
+
+  //===================================
+  // jQuery("#theImage").trigger("ON");
+  //===================================
+  jQuery("#theImage").live('ON', function (e) {
+    target = e.target.id;
+
+    id = this.id;
+    theImage_init("#theImage");
+  });
+
+  /***********************
+  *
+  **********************/
+  jQuery("#theMainImage").error(function (e) {
+    alert(this.src + ' Image does not exist !!');
+  });
+
+  jQuery("#theMainImage,.preload, .next1 , ").load(function (e) {
+    if (init_img(this))
+      setTimeout(function () { Autosize_resize(true) }, 100);
     nu_img = 0;
-    tempo = 0;
-    //====================================================
-
-    var infos_theImageAndInfos = jQuery("#theImageAndInfos").infos();  // Cadre general
-    var infos_theImage = jQuery("#theImage").infos();                  // Container
-    var infos_theMainImage = jQuery(theMainImage_obj).infos();          // Image 
-    var infos_imageInfos = jQuery("#imageInfos").infos();              // Informations
-
-
-    var infos_the_page = jQuery("#the_page").infos();
-    var infos_content = jQuery("#content").infos();
-    var infos_titrePage = jQuery("#titrePage").infos();
-    var infos_imageInfoBar = jQuery("#imageInfoBar").infos();
-    var infos_theHeader = jQuery("#theHeader").infos();
-    var infos_imageToolBar = jQuery("#imageToolBar").infos();
-    var infos_body = jQuery("body").infos();
-    var infos_llgbo = jQuery("#llgbo").infos();
-    var infos_llgboh2 = jQuery("#llgboh2").infos();
-    if (typeof (options) == "undefined") {
-      options = { imageAutosize: false }
-    }
-
-    // jQuery(':Autosize');
-    old_window = { width: 0, height: 0 };
-
-    if (typeof (options) == "undefined") {
-      options = { imageAutosize: false }
-    }
-
-    var defaults = {
-      id_map: 'autosize',
-      imageAutosizeMargin: 0,
-      imageAutosize: false
-    };
-    options = jQuery.extend(defaults, options);
-
-    //=============================================================
-    // REPONSE ACTION
-    //=============================================================
-    jQuery("#reset").click(function () {
-      location.reload();
-    });
-
-    //===========================================================
-    //  REPONSE TRIGGER 
-    //===========================================================
-    jQuery('#pamoorama').live('ON', function (e) {
-      jQuery(jQuery('.debug').get(1)).trigger('ON');
-      if (typeof Bandeau_bas == "undefined" || Bandeau_bas.width == 0) {
-        Bandeau_bas = infos_Description_f("#theImage");
-        Bandeau = Bandeau_bas.top;
-      }
-    });
-    //=============================================================
-    jQuery('#ret_autosize').live('ON', function (e) {
-      if (nu_img == "") nu_img = 8;
-      jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
-
-    });
-
-    //==================================
-    // jQuery("#llgbo").trigger("ON");
-    //==================================
-    jQuery("#llgbo").live('ON', function (e) {
-      infos_llgbo = jQuery("#llgbo").infos();
-      //llgboframe 
-      marges_llgbo = 0;
-
-      if (infos_llgbo.height > 0) {
-        ll2 = jQuery("#llgbo div:last").infos();
-        ll1 = jQuery("#llgbo div:first").infos();
-        ll2 = "";
-        jQuery("#llgbo div").each(function (i) {
-          if (this.id == "") return;
-          var llgbo_frame = document.getElementById(this.id);
-          this.removeAttribute("width");
-          this.removeAttribute("height");
-          ll2 = this;
-        });
-
-        ll2 = jQuery(ll2).infos();
-        ll1 = ll1.width;
-        ll2 = ll2.width - ll2.borderwidth.left - ll2.borderwidth.right;
-        marges_llgbo = (ll1 - ll2);
-        infos_llgbo.borderwidth.left = parseInt(marges_llgbo / 2);
-        infos_llgbo.borderwidth.right = parseInt(marges_llgbo / 2);
-        infos_llgbo.borderwidth.top = parseInt(marges_llgbo / 2);
-        infos_llgbo.borderwidth.bottom = parseInt(marges_llgbo / 2);
-        infos_llgboh2 = jQuery("#llgboh2").infos();
-      }
-    });
-    //==============================
-    // jQuery("#mapPicture").trigger("ON");
-    //==============================
-    jQuery("#mapPicture").live('ON', function (e) {
-      p2 = jQuery("#infoSwitcher").infos();
-    });
-    //==============================
-    // jQuery("#map").trigger("ON");
-    //==============================
-    jQuery("#map").live('ON', function (e) {
-
-    });
-
-    //===================================
-    // jQuery("#theImage").trigger("ON");
-    //===================================
-    jQuery("#theImage").live('ON', function (e) {
-      theImage_init("#theImage");
-    });
-
-    /***********************
-    *
-    **********************/
-    jQuery("#theMainImage").error(function (e) {
-      alert(this.src + ' Image does not exist !!');
-    });
-
-    jQuery("#theMainImage,.preload, .next1 , ").load(function (e) {
-      theImg = this;
-      name_src = theImg.src;
-      img_init.width = jQuery(this).width();
-      img_init.height = jQuery(this).height();
-      if (theImg.naturalWidth)
-        img_init.width = theImg.naturalWidth;
-      if (theImg.naturalHeight)
-        img_init.height = theImg.naturalHeight;
-      img_init.rapport = theImg.naturalWidth / theImg.naturalHeight;
-      nu_img = 0;
-      theMainImage_obj = "#theMainImage";
-      Autosize_resize(true);
-    });
-
-    //=================================================================
-    jQuery(document).live('gallyInterfaceReady', function (e) {
-      i = jQuery(this).text();
-      jQuery(this).trigger('ON');
-    }
+  });
+
+  //=================================================================
+  jQuery(document).live('gallyInterfaceReady', function (e) {
+    i = jQuery(this).text();
+    jQuery(this).trigger('ON');
+  }
 
           );
-    // jQuery("#theImage").trigger("OK");
-    jQuery("#theImage").live('Start_right', function (e) {
-      if (typeof Zone_image == "undefined") return
-      if (nu_img == "") nu_img = 7;
-      jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
-      test_w = window.myPamoorama.autoSlideFx.to;
-      test_w = window.myPamoorama.autoScrollFx.to;
-      nf = jQuery("#pamoorama_thumb").height();
-      jQuery("#pamoorama_thumb img").width(200);
-      jQuery("#pamoorama_thumb img").height(nf);
-      // 200=window.myPamoorama.imageWidth 
-      // frame = Zone_image.container.width
-
+  // jQuery("#theImage").trigger("OK");
+  jQuery("#theImage").live('Start_right', function (e) {
+    if (typeof Zone_image == "undefined") return
+    if (nu_img == "") nu_img = 7;
+    jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
+    test_w = window.myPamoorama.autoSlideFx.to;
+    test_w = window.myPamoorama.autoScrollFx.to;
+    nf = jQuery("#pamoorama_thumb").height();
+    jQuery("#pamoorama_thumb img").width(200);
+    jQuery("#pamoorama_thumb img").height(nf);
+    // 200=window.myPamoorama.imageWidth 
+    // frame = Zone_image.container.width
+    if (Zone_image.container)
       nw = (200 * Zone_image.container.width) / window.myPamoorama.imageWidth;
-      jQuery("#pamoorama_frame").width(nw);
-
-
-
-    });
-
-    jQuery("#theImage").live('Start_left', function (e) {
-      if (typeof Zone_image == "undefined") return
-      if (nu_img == "") nu_img = 7;
-      jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
-      test_w = window.myPamoorama.autoSlideFx.to;
-      test_w = window.myPamoorama.autoScrollFx.to;
-      nf = jQuery("#pamoorama_thumb").height();
-      jQuery("#pamoorama_thumb img").width(200);
-      jQuery("#pamoorama_thumb img").height(nf);
-
-      nw = (200 * Zone_image.container.width) / window.myPamoorama.imageWidth;
-      jQuery("#pamoorama_frame").width(nw);
-
-    });
-
-    // Custom Event, ON to turn on a debug.
-    jQuery('.debug').live('ON', function (e) {
-
-      nu_img = jQuery(this).text();
-      jQuery('.debug').trigger('OFF');
-      jQuery(this).addClass('debugOn');
-
-    });
-
-    // On Click = debugs On
-    jQuery('.debug').live('click', function (e) {
-      i = jQuery(this).text();
-      jQuery(this).trigger('ON');
-    });
-
-    // Custom Event, Turn off a debug
-    jQuery('.debug').live('OFF', function (e) {
-      jQuery(this).removeClass('debugOn');
-    });
-
-    // on Double Click, remove the debug from the DOM
-    jQuery('.debug').live('dblclick', function () {
-      jQuery(this).fadeOut(function () { jQuery(this).remove() });
-    });
-
-    // Add another debug to the DOM
-    jQuery('#adddebugs').click(function () {
-      i = jQuery('.debug').length;
-      jQuery('<div>' + i + '</div>')
+    else
+      nw = (200 * infos_content.width) / window.myPamoorama.imageWidth;
+    jQuery("#pamoorama_frame").width(nw);
+
+
+
+  });
+
+  jQuery("#theImage").live('Start_left', function (e) {
+    if (typeof Zone_image == "undefined") return
+    if (nu_img == "") nu_img = 7;
+    jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
+    test_w = window.myPamoorama.autoSlideFx.to;
+    test_w = window.myPamoorama.autoScrollFx.to;
+    nf = jQuery("#pamoorama_thumb").height();
+    jQuery("#pamoorama_thumb img").width(200);
+    jQuery("#pamoorama_thumb img").height(nf);
+
+    nw = (200 * Zone_image.container.width) / window.myPamoorama.imageWidth;
+    jQuery("#pamoorama_frame").width(nw);
+
+  });
+
+  // Custom Event, ON to turn on a debug.
+  jQuery('.debug').live('ON', function (e) {
+
+    nu_img = jQuery(this).text();
+    jQuery('.debug').trigger('OFF');
+    jQuery(this).addClass('debugOn');
+
+  });
+
+  // On Click = debugs On
+  jQuery('.debug').live('click', function (e) {
+    i = jQuery(this).text();
+    jQuery(this).trigger('ON');
+  });
+
+  // Custom Event, Turn off a debug
+  jQuery('.debug').live('OFF', function (e) {
+    jQuery(this).removeClass('debugOn');
+  });
+
+  // on Double Click, remove the debug from the DOM
+  jQuery('.debug').live('dblclick', function () {
+    jQuery(this).fadeOut(function () { jQuery(this).remove() });
+  });
+
+  // Add another debug to the DOM
+  jQuery('#adddebugs').click(function () {
+    i = jQuery('.debug').length;
+    jQuery('<div>' + i + '</div>')
           .addClass('debug')
           .appendTo('#debugsContainer');
-    });
-
-
-
-    //===========================================
-    // jQuery("#theImageAndInfos").trigger("ON");
-    //===========================================
-    jQuery("#theImageAndInfos").live('ON', function (e) {
-      infos_theImageAndInfos = jQuery("#theImageAndInfos").infos();
-
-
-    }); // fin click #theImageAndInfos ON
-
-    //==========================================
-    //
-    //==========================================
-    jQuery("#infoSwitcher, #menuSwitcher").click(function () {
-      jQuery("#llgbo").trigger("ON");
-      jQuery("#theImage").css({ textAlign: "center" });
-      nu_img = 0;
-      theImage_init("#theImage");
-      Autosize_resize(true);
-    }); // fin click infoSwitcher
-    //==================================
-    //
-    //===================================
-    jQuery('#derivativeCheckedAutosize').click(function () {
+  });
+
+
+  /*********************************
+  *
+  ********************************/
+  jQuery("#menuSwitcher,#infoSwitcher").click(function (e) {
+
+    setTimeout(function () { Autosize_resize(true) }, 10);
+    nu_img = 0;
+  });
+
+
+  //===========================================
+  // jQuery("#theImageAndInfos").trigger("ON");
+  //===========================================
+  jQuery("#theImageAndInfos").live('ON', function (e) {
+    infos_theImageAndInfos = jQuery("#theImageAndInfos").infos();
+    //   setTimeout(function () { Autosize_resize(true) }, 100);
+    nu_img = 0;
+  }); // fin click #theImageAndInfos ON
+  jQuery("#theImageAndInfos").resize(function (e) {
+
+    nu_img = 0;
+  });
+
+  //==================================
+  //
+  //===================================
+  jQuery('#derivativeCheckedAutosize').click(function () {
+    pathnames = jQuery(this).attr("href").split(":");
+    try {
+      eval(pathnames[1]);
+    } catch (e) {
+      n = false;
+    }
+  }); // fin click derivativeCheckedAutosize
+  //====================================================
+  jQuery("#derivativeSwitchBox a").click(function () {
+    var theImg = document.getElementById(theMainImage_Id.replace("#", ""));
+    if (theImg) {
       pathnames = jQuery(this).attr("href").split(":");
+
       try {
         eval(pathnames[1]);
+        n = true;
       } catch (e) {
         n = false;
       }
-    }); // fin click derivativeCheckedAutosize
-    //====================================================
-    jQuery("#derivativeSwitchBox a").click(function () {
-      var theImg = document.getElementById("theMainImage");
-      if (theImg) {
-        pathnames = jQuery(this).attr("href").split(":");
-
-        try {
-          eval(pathnames[1]);
-          n = true;
-        } catch (e) {
-          n = false;
-        }
-        n = false;
-        infos_theMainImage = jQuery(theMainImage_obj).infos();
-        infos_theImage = jQuery("#theImage").infos();
-        theImg.removeAttribute("width");
-        theImg.removeAttribute("height");
-        rapport = parseInt(img_init.width) / parseInt(img_init.height);
-        if (n == true) {
-          Autosize_resize(true);
-        } else {
-          var nw = "100% x 100%".split("x");
-          if (jQuery(this).text().match(RegExp("x", "gi"))) {
-            nw = jQuery(this).text().split("(")[1].split(")")[0];
-            nw = nw.split("x");
-            jQuery("#theImage").css({ marginRight: "auto", marginLeft: "auto", textAlign: "center" });
-
-            if (theImg.naturalWidth)
-              img_init.width = theImg.naturalWidth;
-            if (theImg.naturalHeight)
-              img_init.height = theImg.naturalHeight;
-
-            wx = parseInt(nw[0]);
-            wh = parseInt(wx / rapport);
-            //jQuery("#theImage").css("height", wh + "px");
-            jQuery(theImg).width(wx);
-            jQuery(theImg).height(wh);
-          }
-        }
-      }
-
-    });  // fin click #derivativeSwitchBox a
-
-    //=========================================================================
-    Autosize_init = function (name, value) {
-      // default configuration properties
-      var defaults = {
-        id_map: 'autosize'
-      };
-      options = jQuery.extend(defaults, options);
-      infos_theImageAndInfos = jQuery("#theImageAndInfos").infos(); // Cadre general
+
+      infos_theMainImage = jQuery(theMainImage_Id).infos();
       infos_theImage = jQuery("#theImage").infos();
-
-      infos_theMainImage = jQuery(theMainImage_obj).infos();         // Cadre general
-      if (infos_theMainImage.nodeName) {
-
-      }
-      if (infos_theMainImage.width == 0) {
-        infos_theMainImage = jQuery("#theImage img").infos();
-        if (infos_theMainImage.id == "")
-          jQuery("#theImage img").attr("id", "theMainImage");
-        infos_theMainImage = jQuery(theMainImage_obj).infos();
-      }
-      infos_imageInfos = jQuery("#imageInfos").infos();             // Cadre general
-      infos_the_page = jQuery("#the_page").infos();
-      infos_content = jQuery("#content").infos();
-      infos_titrePage = jQuery("#titrePage").infos();
-      infos_imageInfoBar = jQuery("#imageInfoBar").infos();
-      infos_theHeader = jQuery("#theHeader").infos();
-      infos_imageToolBar = jQuery("#imageToolBar").infos();
-      infos_imageHeaderBar = jQuery("#imageHeaderBar").infos();
-      Zone_Affichage = jQuery("#theImage").infos();
-
-      jQuery.cookie('path', cookie_path, { path: cookie_path });
-      typeMap = jQuery.cookie('picture_map');
-      typeSave = jQuery.cookie('picture_deriv');
-      old_img = jQuery.cookie('img');
-      old_img_h = jQuery.cookie('img_h');
-      old_img_w = jQuery.cookie('img_w');
-      old_window_height = jQuery.cookie('window_height');
-      old_window_width = jQuery.cookie('window_width');
-      //============================================================
-      img_init = { height: img_height, width: img_width };  // taille initiale
-      img_defaut = { height: scaled_height, width: scaled_width };
-      img_reelle = { height: img_height, width: img_width };
-      img_finale = { height: 0, width: 0 };
-      img_top = "0";
-      rapport = -1;
-      marges_llgbo = 0;
-      //=============================================================
-      Type_Img = "";
-      nopano = false;
-      rapport = parseInt(img_init.width) / parseInt(img_init.height);
-      old_window = { width: 0, height: 0 };
-    } // Autosize_init
-    //===========================================================================
-    Autosize_resize = function (force, parametres) {
-      if (typeof rapport == "undefined") return;
-      if (force && force == true) old_window.width = 0;
-      id_map = jQuery(theMainImage_obj).attr("usemap");
-      if (typeof id_map == "undefined") id_map = jQuery("#theImage").attr("usemap");
-      if (typeof id_map == "undefined") id_map = "Autosize";
-      if (options.id_map) {
-        //  id_map = options.id_map;
-      }
-      if (id_map) {
-        if (id_map.match(RegExp("#map", "gi")) || id_map.match(RegExp("original", "gi"))) {
-          return true;
-        }
-      }
-
-      if (options.imageAutosize) {
-        // Wait_Affichage();
-        return true; //stripped
-      }
-
-      if (typeof cl_visible == "undefined") return true;
-      if (!cl_visible == true) { return true; }
-      var chk = eval(user_status + "_enabled");
-      if (chk == "") { return true; }
-      //================================================================= 
-      var winwidth = infos_body.width;
-      var winheight = infos_body.height;
-      if (Type_Img == "pamoorama") {
-        theMainImage_obj = "#pamoorama";
-        Zone_image = Calcul_Image(infos_imageInfos.visible == false);
-      } else {
-        Zone_image = Calcul_Image(infos_imageInfos.visible == false);
-      }
-      //=================================================================
-      old_window = jQuery(window).infos();
-      //========= Récupération des informations =============       
-      var Licence = jQuery(".licencetag");
-      infos_Licence = jQuery(".licencetag").infos();
-      //=================================================================
-      switch (Type_Img) {
-        case "map":
-          Set_Map(true);
-          break
-        case "panorama":
-          if (!theMainImage_obj) {
-            theMainImage_obj = "#theMainImage";
-            if (theMainImage_obj.length > 0)
-              return;
-            theMainImage_obj = jQuery().Get_Img_Maxi("#Panorama img[alt]");
-
-            if (theMainImage_obj.length > 0)
-              theMainImage_obj = theMainImage_obj[0];
-            else
-              theMainImage_obj = jQuery().Get_Img_Maxi("#Panorama img[alt]");
-          }
-          infos_theImage = jQuery(theMainImage_obj).infos();
-          infos_the_page = jQuery("#the_page").infos();
-          jQuery("#theImage").height(infos_theImage.height);
-          img_finale.height = infos_theImage.height;
-          break
-        case "img":
-
-          if (!theMainImage_obj) return true;
-          if (theme.match(RegExp("luciano", "g"))) {
-            theMainImage_obj = "#the_page #The_MainImage";
-          }
-
-          infos_the_page = jQuery("#the_page").infos();
-
-
-          break
-        case "img_autre":
-          if (!theMainImage_obj) {
-            if (DEBUG_autosize == "true") alert("The_MainImage=null");
-            return true;
-
-          }
-          infos_theImage = jQuery(theMainImage_obj).infos();
-          infos_the_page = jQuery("#the_page").infos();
-
-
-          break
-        case "embed":
-          //
-          if (infos_img.width == 0)
-            infos_img = jQuery("#thePicturePage").infos();
-          if (infos_img.width == 0)
-            infos_img = jQuery("#the_page").infos();
-          infos_theImage = infos_img;
-          infos_the_page = jQuery("#the_page").infos();
-          Bandeau_bas.height = Bandeau_bas.top;
-
-          iph1 = jQuery("#theImage div").infos();
-          if ((winheight - iph1.bottom) > 0)
-            Bandeau_bas.height = (winheight - iph1.bottom) + 50;
-          else
-            Bandeau_bas.height = 50;
-
-
-          if (rapport < 0) {
-            img_height = infos_img.height;
-            img_width = infos_img.width;
-            img_reelle.height = img_height;
-            img_reelle.width = img_width;
-          }
-
-          break
-        case "charlie":
-          img_reelle = { height: img_height, width: img_width };
-          infos_img = jQuery(theMainImage_obj).infos(); ;
-          infos_the_page = jQuery("#the_page").infos();
-          if (rapport < 0) {
-            img_height = parseInt(infos_img.height);
-            img_width = parseInt(infos_img.width);
-            img_reelle.height = parseInt(infos_img.height);
-            img_reelle.width = parseInt(infos_img.width);
-          }
-          break
-
-
-        case "pamoorama":
-          img_reelle = { height: img_height, width: img_width };
-          //=========================================================
-          img_reelle.height = img_height;
-          img_reelle.width = Zone_Affichage.width;
-          if (typeof myPamoorama != "undefined") theMainImage_obj = myPamoorama.image;
-          infos_theImage = jQuery("#pamoorama").infos();
-          infos_theImage.height = infos_theImage.height;
-          infos_the_page = jQuery("#the_page").infos();
-          break
-      }
-      //================= Vérification Taille image minimun autorisée ========
-      MinWidth = jQuery(theMainImage_obj).css("minWidth");
-      if (MinWidth == "0px")
-        MinWidth = mini_width;
-      MinHeight = jQuery(theMainImage_obj).css("minHeight");
-      if (MinHeight == "0px")
-        MinHeight = mini_height;
-
-      MaxWidth = jQuery(theMainImage_obj).css("maxWidth");
-      if (MaxWidth == "0px")
-        MaxWidth = winwidth;
-      MaxHeight = jQuery(theMainImage_obj).css("maxHeight");
-      if (MaxHeight == "0px")
-        MaxHeight = mwinheight;
-
-      //=============== Vérification taille minimale  autorizée ======================
-      var miniWidth = jQuery(theMainImage_obj).Get_Val_int(MinWidth, mini_width);
-      var miniHeight = jQuery(theMainImage_obj).Get_Val_int(MinHeight, mini_height);
-      if (winwidth < mini_width2) mini_width2 = winwidth;
-
-      var miniWidth2 = jQuery(theMainImage_obj).Get_Val_int(MinWidth, mini_width2);
-      var miniHeight2 = jQuery(theMainImage_obj).Get_Val_int(MinHeight, mini_height2);
-
-
-      var maxWidth = jQuery(theMainImage_obj).Get_Val_int(MaxWidth, winwidth, "0");
-      maxHeight = jQuery(theMainImage_obj).Get_Val_int(MaxHeight, winheight, "0");
-
-      mini_width = parseInt(miniWidth);
-      mini_height = parseInt(miniHeight);
-      img_reelle.width = parseInt(img_reelle.width);
-      if (img_reelle.width < mini_width)
-        return true;
-      img_reelle.height = parseInt(img_reelle.height);
-      if (img_reelle.height < parseInt(mini_height))
-        return true;
-
-      //=============== Zone d'affichage ============================  
-      Zone_Affichage.width = Zone_image.container.width;
-      Zone_Affichage.height = Zone_image.container.height;
-
-      var Licence = jQuery(".licencetag");
-      infos_Licence = jQuery(".licencetag").infos();
-
-      //====================================================
-      if (options.imageAutosizeMargin > 0) Marge_Basse = options.imageAutosizeMargin;
-      else Marge_Basse = parseInt(marge_basse || 0); // hors bandeau
-      //==========================================================================
-
-
-
-      //=================================================
-      if (Zone_Affichage.height < mini_height2)
-        Zone_Affichage.height = mini_height2;
-      if (Zone_Affichage.width < mini_width2)
-        Zone_Affichage.width = mini_width2;
-      //=================================================
-      var height_user = eval(user_status + "_height");
-      var width_user = eval(user_status + "_width");
-      var reg1 = new RegExp("%", "g");
-      //=============================================================     
-      if (height_user.match(reg1))
-        Image_height = img_reelle.height * parseInt(height_user) / 100;
+      theImg.removeAttribute("width");
+      theImg.removeAttribute("height");
+
+      var nw = "100% x 100%".split("x");
+      if (jQuery(this).text().match(RegExp("x", "gi"))) {
+        nw = jQuery(this).text().split("(")[1].split(")")[0];
+        nw = nw.split("x");
+        init_img(theImg);
+        wx = parseInt(nw[0]);
+        wh = parseInt(wx / rapport);
+        //jQuery("#theImage").css("height", wh + "px");
+        jQuery(theImg).width(wx);
+        jQuery(theImg).height(wh);
+        set_cl(useMap == "#Autosize");
+        Set_llbgo();
+      }
+
+    }
+
+  });  // fin click #derivativeSwitchBox a
+
+  jQuery("input").click(function () {
+    if (this.name.match(RegExp("_enabled", "gi"))) {
+      sel = "[name*=" + this.name + "]";
+      obj = jQuery("tr" + sel);
+
+      if (this.checked)
+        obj.css({ backgroundColor: "green", color: "white" });
       else
-        Image_height = parseInt(height_user);
-      echelle_max = parseFloat(echelle_max, '3');
-      var echelle = parseFloat(Image_height / img_reelle.height, 3);
-
-      if (echelle > echelle_max) { echelle = echelle_max; }
-
-      Image_height = parseInt(img_reelle.height * echelle);
-      Image_width = parseInt(img_reelle.width * echelle);
-
-      if (check_auto_w == 'checked="checked"') {
-        //==== largeur à atteindre ===
-        var width_user = eval(user_status + "_width");
-        // Largeur maximale en fonction du statut
-        if (width_user.match(reg1))
-        // pourcentage
-          Image_width = Zone_image.container.width * parseInt(width_user) / 100;
-        else
-          Image_width = parseInt(width_user);
-
-      Image_height = parseInt(Image_width / rapport);
-      } else {
-      Image_width = parseInt(Image_height * rapport);
-      }
-      //====================================================
-      //  Zone_image.image.height = Image_height;
-      //  Zone_image.image.width = Image_width;
-      //======================================================================
-      set_cl();
+        obj.css({ backgroundColor: "red", color: "white" });
+
+      return;
+    }
+
+
+
+    return;
+
+
+
+
+  });
+
+  //====================================
+  Autosize_init = function (name, value) {
+    img_defaut = { height: options.scaled_height, width: options.scaled_width };
+    img_reelle = { height: options.img_height, width: options.img_width };
+    img_init = { height: options.img_height, width: options.img_width };  // taille initiale
+
+    img_finale = img_init;
+    rapport = parseInt(img_init.width) / parseInt(img_init.height);
+    useMap = infos_theMainImage.useMap; // #mapmedium
+    Type_Img = "";
+    nopano = false;
+
+    useMap = cookies.pictureMap; // #mapxxx
+    typeSave = cookies.typeSave; //picturederiv xxx
+
+
+    old_img = cookies.imgSrc;
+    old_window_height = cookies.windowHeight || jQuery(window).height();
+    old_window_width = cookies.windowWidth || jQuery(window).width();
+    old_img_h = cookies.imgHeight;
+    old_img_w = cookies.imgWidth;
+
+    var theImg = document.getElementById(theMainImage_Id.replace("#", ""));
+    theImg.useMap = useMap;
+
+
+  } // Autosize_init
+  //===========================================================================
+  Autosize_resize = function (force, parametres) {
+    theImage_init();
+
+    if (Get_dimensions(force, parametres)) {
+
+      jQuery(theMainImage_Id).height(Zone_image.image.height);
+      jQuery(theMainImage_Id).width(Zone_image.image.width);
+      jQuery("#theImageAndInfos").css({ height: "auto" });
+      jQuery("#theImage").css({ height: "auto" });
+      //  jQuery("#theImage").width(Zone_image.container.width);
+      // jQuery("#theImage").width("auto");
       Set_Pamoorama();
-      jQuery("#theImage").width(Zone_image.container.width);
-      jQuery("#theImage").height(Zone_image.container.height);
-      jQuery(theMainImage_obj).height(Zone_image.image.height);
-      jQuery(theMainImage_obj).width(Zone_image.image.width);
-      
-      return true;
-
-      //===============================================================
-      jQuery("#theImage").width(Zone_Affichage.width);
-      jQuery("#theImage").height(Zone_Affichage.height);
-      jQuery(theMainImage_obj).removeAttr("width");
-      jQuery(theMainImage_obj).css({ height: Image_height }); //image
-
-      //================================================================
-
-      align_auto = "center";
-      if (jQuery("#theImg").css("textAlign"))
-        align_auto = jQuery("#theImg").css("textAlign");
-
-
-      var marges = 0;
-
-      if (typeof (infos_img) != "undefined") {
-        widthmin -= infos_img.borderwidth.left || 0;
-        widthmin -= infos_img.borderwidth.right || 0;
-      }
-      widthmin -= marges;
-      if (typeof Bandeau_t != "undefined") {
-        widthmin -= (Bandeau_t.borderwidth.left + Bandeau_t.borderwidth.left);
-        Image_width -= (Bandeau_t.borderwidth.left + Bandeau_t.borderwidth.left);
-      } else {
-
-        jQuery.autosize.resize();
-      }
-      if (Image_width > widthmin) {
-        //   Image_width largeur à atteindre
-        //  Calcul du rapport d'agrandissement
-        var echelle_w = parseFloat((widthmin) / img_reelle.width, 3);
-        if (echelle_w > echelle_max) { echelle_w = echelle_max; }
-        Image_width = parseInt(img_reelle.width * echelle_w);
-        if (rapport > 0)
-          Image_height = parseInt(Image_width / rapport);
-      }
-
-
-
-
-      //===================================================
-
-      img_finale.height = Image_height;
-      img_finale.width = Image_width;
-      if (theme.match(RegExp("stripped", "gi"))) {
-        img_finale.width -= (llgboframe.top * 2);
-        if (rapport > 0) img_finale.height = (img_finale.width / rapport);
-        else img_finale.height -= (llgboframe.top * 2);
-
-      }
-      zoom = echelle;
-      if (typeof (llgboframe) != "undefined" && llgboframe.height > 0) {
-        //=============LLGBO2 ===========================
-        t1 = llgboframe;
-        if (!theMainImage_obj.src) {
-          theMainImage_obj = jQuery("#llgbo").find("img").get(0)
-          if (!theMainImage_obj.src) {
-            theMainImage_obj = jQuery("#theImage").find("div").get(0)
-          }
-        }
-        if (theMainImage_obj.src) {
-          wingbo = img_finale.width;
-          heightgbo = img_finale.height;
-          if (Type_Img == "panorama") {
-            heightgbo = infos_theImage.height;
-            img_finale.height = infos_theImage.height;
-          }
-
-          img_finale.width -= marges_llgbo;
-          if (jQuery("#slideshow").infos().width > 0) {
-            img_finale.height -= (marges_llgbo * 1.5);
-          } else {
-            img_finale.height -= marges_llgbo
-          }
-
-
-          if (wingbo > winwidth) {
-            jQuery("#llgbo").width(winwidth);
-            jQuery("#llgbo").height(winheight);
-            jQuery("#llgbo").css("width", winwidth + "px");
-            jQuery("#llgbo").css("height", winheight + "px");
-          }
-          else {
-            jQuery("#llgbo").width(wingbo);
-            jQuery("#llgbo").height(heightgbo);
-            jQuery("#llgbo").css("width", wingbo + "px");
-            jQuery("#llgbo").css("height", heightgbo + "px");
-          }
-
-          a0 = jQuery("area[rel!=up][rel!=prev][rel!=next]");
-          a1 = jQuery("area[rel=prev]");
-          a2 = jQuery("area[rel=next]");
-          a3 = jQuery("area[rel=up]");
-          nb_zone = 3;
-          if (a1.length == 0) {
-            nb_zone -= 1;
-          }
-          if (a2.length == 0) {
-            nb_zone -= 1;
-          }
-
-
-          var Largeur_zone = (img_finale.width / nb_zone);
-          var Hauteur_zone = (img_finale.height);
-          var init_zone = 0;
-
-          if (a1.length > 0) {
-            coord = { x0: init_zone, y0: 0, x1: Largeur_zone, y1: Hauteur_zone };
-
-            jQuery("area[rel=prev]").attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + coord.y1 + "'" });
-            init_zone += Largeur_zone;
-          }
-
-          coord = { x0: init_zone, y0: 0, x1: init_zone + Largeur_zone, y1: img_finale.height };
-
-          if (a0.length > 0) {
-            jQuery("area[rel=up]").attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + (coord.y1 / 2) + "'" });
-            jQuery(a0).attr({ coords: "'" + coord.x0 + "," + (coord.y1 / 2) + "," + coord.x1 + "," + (coord.y1) + "'" });
-          } else {
-            jQuery("area[rel=up]").attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + (coord.y1) + "'" });
-          }
-          init_zone += Largeur_zone;
-
-          if (a2.length > 0) {
-            coord = { x0: init_zone, y0: 0, x1: init_zone + Largeur_zone, y1: img_finale.height };
-            jQuery("area[rel=next]").attr({ coords: "'" + coord.x0 + "," + coord.y0 + "," + coord.x1 + "," + coord.y1 + "'" });
-          }
-          //    jQuery("#theImage").height(heightgbo + marges_llgbo / 2);
-        }
-      }
-
-      //================ Zone affichage =========================
-
-      //  jQuery("#theImage").css("top", "0px");
-      jQuery("#standard").css("top", 0 + "px");
-      jQuery("#comments").css("top", 0 + "px");
-      //========== Image Remise à l'échelle =======================
-
-      img_finale.height = parseInt(img_finale.height);
-      img_finale.width = parseInt(img_finale.width);
-      //=========================================================================
-      //=== cadre = theImage
-      if (theme.match(RegExp("simple", "gi"))) {
-        jQuery("#theImage").width(Zone_Affichage.width); //centrer simple black
-        jQuery("#theImage").css({ width: Zone_Affichage.width + "px",
-          marginLeft: "auto"
-        });
-
-      } else if (theme.match(RegExp("sobre", "gi")) || theme.match(RegExp("hr_", "gi")) || theme.match(RegExp("Mont", "gi"))) {
-        jQuery("#theImage").css({ width: "auto", marginLeft: "auto" });
-      } else if (theme.match(RegExp("saruka", "gi"))) {
-
-        jQuery("#theImage").css({ width: Zone_Affichage.width + "px" });
-      } else if (theme.match(RegExp("elegant", "gi"))) {
-
-        // jQuery("#theImage").css("width", "auto");
-        jQuery("#theImage").css({ height: Zone_Affichage.height + "px", width: "auto" }); //conteneur
-
-      } else {
-        jQuery("#theImage").css("width", "auto");
-
-      }
-      // ;
-
-      if (Type_Img == "panorama" || Type_Img == "pamoorama") {
-        img_finale.height = infos_theImage.height;
-        Zone_Affichage.height = img_finale.height;
-
-      }
-
-      if (typeof (gmaps) != "undefined") {
-        Gmap_ = gmaps.maps[0];
-        if (Gmap_.sizeMode == 'A') {
-          jQuery("#iGMapsIcon").css({ width: old_window.width * 0.8 + "px", height: old_window.height * 0.8 + "px" });
-
-        }
-      }
-      //============= flv,mov,mpg  ok
-      /* wmv nok
-      * avi nok
-      //===========================================
-      */
-      if (Type_Img == "charlie") {
-        t1 = jQuery("#charlie").infos();
-
-        /**/
-
-        pdf = 0;
-        jQuery("#charlie div").each(function (i) {
-
-
-          p1 = jQuery(this).infos();
-          pdf += p1.padding.right + p1.padding.left;
-        });
-        img_finale.width -= pdf;
-
-        jQuery("#charlie").css({
-          width: img_finale.width + pdf + "px",
-          height: img_finale.height + "px",
-          marginLeft: "auto"
-        });
-
-
-        if (MainImage.length > 0) {
-          img_finale.height = parseInt(img_finale.width / rapport);
-          img_finale.height -= 30;
-          img_finale.width = rapport * img_finale.height;
-
-
-          MainImage.width(img_finale.width);
-          MainImage.height(img_finale.height);
-          jQuery("#embedplayer").width(300);
-          jQuery("#embedplayer").height(15);
-        } else {
-          jQuery("#player").css("width", img_finale.width + "px");
-          jQuery("#player").css("height", img_finale.height + "px");
-
-          jQuery("#embedplayer").css("width", img_finale.width + "px");
-          jQuery("#embedplayer").css("height", img_finale.height + "px");
-
-          jQuery("embed").css({ width: img_finale.width + "px",
-            height: img_finale.height + "px"
-          });
-          jQuery("object").css({ width: img_finale.width + "px",
-            height: img_finale.height + "px"
-          });
-          jQuery("video").css({ width: img_finale.width + "px",
-            height: img_finale.height + "px"
-          });
-
-
-
-          jQuery("video").height(img_finale.height);
-          jQuery("video").width(img_finale.width);
-
-          jQuery("object").width(img_finale.width);
-          jQuery("object").height(img_finale.height);
-          //jQuery("#theImage").height(img_finale.height + Bandeau_bas.height); //??             
-
-          jQuery(theMainImage_obj).height(img_finale.height);
-          jQuery("#theImage").css("height", "auto");
-        }
-
-
-      } else if (Type_Img == "embed") {
-
-        if (MainImage.length > 0) {
-          img_finale.height = parseInt(img_finale.width / rapport);
-          img_finale.height -= 30;
-          img_finale.width = rapport * img_finale.height;
-
-
-          MainImage.width(img_finale.width);
-          MainImage.height(img_finale.height);
-          jQuery("#embedplayer").width(300);
-          jQuery("#embedplayer").height(15);
-        } else {
-          jQuery("#theImage").css("height", "auto");
-          jQuery("embed").css("height", img_finale.height);
-          jQuery("object").css({ height: img_finale.height + "px" });
-
-          jQuery("object").width(img_finale.width);
-          jQuery("object").height(img_finale.height);
-        }
-
-      } else if (Type_Img == "panorama") {
-        if (typeof asp_options != "undefined")
-          n = asp_options;
-        n1 = jQuery("#Panorama div").width();
-        jQuery(".panorama-viewport").css("margin", "auto");
-        n = infos_imageToolBar;
-
-
-      } else if (Type_Img == "pamoorama") {
-        Set_Pamoorama();
-
-
-
-
-      } else if (theMainImage_obj != null && theMainImage_obj.src) {
-        //--- background ?? ---
-        jQuery(theMainImage_obj).height(img_finale.height);
-        jQuery(theMainImage_obj).width(img_finale.width);
-        jQuery(theMainImage_obj).css({ height: img_finale.height + "px ",
-          width: img_finale.width + "px "
-        });
-
-
-      } else {
-        //===map ? luciano ===
-        //   jQuery(theMainImage_obj).css({ height: img_finale.height + "px ",  width: img_finale.width + "px });
-        //   jQuery(theMainImage_obj).height(img_finale.height );
-        //   jQuery(theMainImage_obj).width(img_finale.width );
-        //   jQuery(theMainImage_obj).attr({ width: img_finale.width  });
-        h = img_finale.height;
-        h = Zone_Affichage.height - Zone_Affichage.borderwidth.top - Zone_Affichage.borderwidth.bottom;
-        h -= (infos_theImage.borderwidth.bottom + infos_theImage.borderwidth.top);
-
-        jQuery(theMainImage_obj).attr({ height: h - 3 }); //image
-        if (theme.match(RegExp("elegant", "gi"))) {
-          return true;
-
-        }
-        if (theme.match(RegExp("luciano", "g"))) {
-          imgl = 180;
-          l = Zone_Affichage.left;
-
-          jQuery(".imageNumber").css({ left: l + "px"
-
-          });
-          jQuery("#theImage" + " #theImg IMG").css({ height: img_finale.height + "px ",
-            width: (img_finale.width - imgl) + "px ", marginTop: "0px"
-          })
-        }
-
-      }
-
-      var theImg = document.getElementById("theMainImage");
-      if (theImg) {
-        theImg.removeAttribute("width");
-        theImg.removeAttribute("height");
-        jQuery(theMainImage_obj).css("width", img_finale.width + "px");
-      }
-
-      jQuery("#navThumbPrev").css({ overflow: "hidden" });
-      jQuery("#navThumbNext").css({ overflow: "hidden" });
-      n = typeof inittoolbar;
-      if (Type_Img == "map") {
-        jQuery("#navThumbNext").css({ display: 'none' });
-        jQuery("#navThumbPrev").css({ display: 'none' });
-        jQuery("#theImage").css({ marginTop: infos_imageToolBar.height + "px", marginLeft: "0px",
-          width: winwidth + "px",
-          height: winheight + "px"
-        });
-        //mapPicture 
-      }
-      try {
-        if (theme.match(RegExp("gally", "gi"))) {
-          if (typeof inittoolbar == "function") {
-            if (typeof (currentTab) == "undefined") inittoolbar();
-            else initializeImageMode("resize");
-          } else {
-            tp = gallyPP.getImageProp();
-            if (typeof (GallyPP) == "function")
-              gallyPP = new GallyPP();
-
-            iph = jQuery("#imageHeaderBar").infos();
-            jQuery("#imageToolBar").css({ top: iph.bottom + "px", position: "absolute" });
-            jQuery("#theImage").width(winwidth);
-          }
-          //===========================================================================
-          if (jQuery("#navThumbPrev").length > 0) {
-            jQuery("#navThumbPrevContainer").css({ left: "0px"
-            });
-          }
-          if (jQuery("#navThumbNext").length > 0) {
-            jQuery("#navThumbNextContainer").css({ left: "0px"
-            });
-          }
-          //=============================================================================
-          if (!theme.match(RegExp("lapis", "gi"))) {
-            if (typeof initializeImageMode == "function") {
-              initializeImageMode("resize");
-            }
-
-          }
-
-        } else if (theme.match(RegExp("simple", "g"))) {
-
-          jQuery("#imageToolBar").css({ position: "static" });
-
-          infos_imageInfoBar = jQuery("#imageInfoBar").infos();
-          if (infos_imageInfoBar.bottom < infos_img.bottom) {
-            //   jQuery("#imageInfoBar").height(infos_img.bottom);
-          }
-
-        } else {
-
-          //    jQuery("#imageToolBar").css("position", "static");
-        }
-      } catch (e) {
-
-      }
-      zoom = img_finale.height / img_height;
-      h0 = jQuery("#content").height();
-      if (h0 == null) {
-        h0 = winheight - Zone_Affichage.top;
-      }
-      h1 = (h0 - img_finale.height) / 2;
-      //  jQuery("#theImage").css({ marginTop: h1 + "px" });
-
-      zoom = parseInt(zoom * 100);
-      jQuery('#zoom ').val(zoom);
-      set_cl();
-
-
-      //  --- réglage de la hauteur de page en fonction du copyright-----------
-      if (typeof (pos_copyright) == "undefined") pos_copyright = jQuery("#copyright").infos();
-
-      if (theme.match(RegExp("stripped", "gi"))) {
-        var TitleBox = jQuery("#imageTitleContainer");
-        if (TitleBox.length != 0) TitleBox.css("width", img_finale.width + "px");
-      } else {
-
-      }
-
-
-      /*
-      if (!theme.match(RegExp("luciano", "gi"))) {
-      jQuery("#linkNext").css({ height: "80px", width: "200px", overflow: "hidden" });
-      jQuery("#linkPrev").css({ height: "80px", width: "200px", overflow: "hidden" });
-      jQuery(".navThumb img").css({ height: "80px", width: "", overflow: "hidden" });
-      }
-      */
-      infos_frame = jQuery("#theImage").infos();
-      if (theme.match(RegExp("stripped", "gi"))) {
-        /*
-        infos_theImageBox = jQuery("#theImageAndTitle").infos();
-        p1 = jQuery(".randomButtons").infos();
-        p2 = jQuery("#imageHeaderBar").infos();
-        p3 = infos_content.top;
-        p1 = options.imageAutosizeTitle;
-
-        jQuery("#theImage").width("width", infos_theImageBox.width + "px");
-        //jQuery("#theImageAndTitle").css("position", "relative");
-        jQuery("#content").css({ position: "relative", top: "10px", marginTop: "0px",
-        paddingTop: "0px", textAalign: "center", marginLeft: "auto"
-        });
-
-        jQuery("#theImageAndTitle").css({ position: "relative", top: "0px", marginTop: "0px",
-        paddingTop: "0px", marginLeft: "auto"
-        }); */
-        t1 = infos_theImageBox.top;
-        l1 = infos_theImageBox.left;
-        // infos_theImageBox = jQuery("#theImage").infos();
-
-      } else {
-
-        t1 = infos_frame.top;
-        l1 = infos_frame.left;
-        infos_theImageBox = jQuery("#theImage").infos(); //theImage
-      }
-      infos_theImageBox.margin.margin = infos_frame.margin.margin;
-      infos_theImageBox.top = t1;
-      infos_theImageBox.left = l1;
-      //  infos_theImageBox.position = "absolute";
-
-      Window_Affichage = infos_theImageBox;
-      if (DEBUG_autosize == "_true") {
-        //   jQuery("#theImage").css("border", "solid green");
-
-        jQuery("#Debug5").css({ background: "red",
-          position: "absolute",
-          border: "green solid 2px",
-          textAlign: align_auto,
-          margin: "auto",
-          top: Window_Affichage.top + "px",
-          left: Window_Affichage.left + "px",
-          width: Window_Affichage.width + "px",
-          height: Window_Affichage.height + "px"
-        }); //red
-        jQuery("#Debug4").css({ top: infos_frame.bottom - infos_description.height + "px" }); //green
-      }
-
-      //Wait_Affichage();
-
-      return true;
-      //_____________________________________________________   
-    }; // Autosize 
-
-
-
-    /********************************************
-    *  window unLOAD
-    ********************************************/
-    jQuery(window).unload(function () {
-      try {
-        if (typeof theMainImage_obj != "undefined") {
-          var theImg = document.getElementById("theMainImage");
-          jQuery.cookie('img', theImg.src, cookie_path); // créer un cookie avec une valeur
-          theImg.useMap = theImg.useMap || "autosize";
-
-          jQuery.cookie('picture_map', theImg.useMap, { path: cookie_path });
-          jQuery.cookie('img_h', jQuery(theMainImage_obj).height(), { path: cookie_path });
-          jQuery.cookie('img_w', jQuery(theMainImage_obj).width(), { path: cookie_path });
-
-          if (typeof Window_Affichage != "undefined") {
-            jQuery.cookie('window_height', Window_Affichage.height, { path: cookie_path });
-            jQuery.cookie('window_width', Window_Affichage.width, { path: cookie_path });
-          }
-        }
-      } catch (r) {
-
-      }
-
-    }); //unload
-
-    /********************************************
-    *  window LOAD
-    ********************************************/
-    jQuery(window).load(function () {
-      href = location.href;
-      var aff_ok = false;
-
-      DEBUG_autosize = (typeof DEBUG_autosize != "undefined") ? DEBUG_autosize : "false";
-      if (DEBUG_autosize == "true") {
-        for (var i = 0; i < 10; i++) {
-          jQuery('#adddebugs').click();
-        }
-        jQuery(jQuery('.debug').get(i - 1)).click();
-      }
-
-      /*
-      jQuery.post(href, function (data) {
-      nu_img--;
-      if (nu_img < 0) nu_img = 9;
-      jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
-      //alert("Data Loaded: " + data);
-      Wait_Affichage();
+
+      set_cl(true);
+    } else {
+      Set_Pamoorama();
+      set_cl(false);
+    }
+    Set_llbgo(true);
+    return true;
+
+    //_____________________________________________________   
+  }; // Autosize 
+
+  Save_cookies = function (parametres) {
+    if (parametres.typeSave) document.cookie = 'picture_deriv=' + parametres.typeSave + ';path="' + "/" + '" ';
+    if (parametres.typeSave) jQuery.cookie('picture_deriv', parametres.typeSave, { path: "/" });
+    if (parametres.pictureMap) jQuery.cookie('picture_map', parametres.pictureMap, { path: "/" });
+    if (parametres.imgSrc) jQuery.cookie('img', parametres.imgSrc, { path: "/" });
+
+    if (parametres.imgHeight) jQuery.cookie('img_h', infos_theMainImage.height, { path: "/" });
+    if (parametres.imgWidth) jQuery.cookie('img_w', infos_theMainImage.width, { path: "/" });
+    if (parametres.windowHeight) jQuery.cookie('window_height', Window_Affichage.height, { path: "/" });
+    if (parametres.windowWidth) jQuery.cookie('window_width', Window_Affichage.width, { path: "/" });
+  }
+
+  Get_cookies = function () {
+    parametres = {
+      typeSave: jQuery.cookie('picture_deriv'),
+      pictureMap: jQuery.cookie('picture_map'),
+      imgSrc: jQuery.cookie('img'),
+
+      imgHeight: jQuery.cookie('img_h'),
+      imgWidth: jQuery.cookie('img_w'),
+      windowHeight: jQuery.cookie('window_height'),
+      windowWidth: jQuery.cookie('window_width')
+    }
+    return parametres;
+  }
+
+  /********************************************
+  *  window unLOAD
+  ********************************************/
+  jQuery(window).unload(function () {
+    try {
+      if (typeof theMainImage_Id != "undefined") {
+
+        useMap = options.useMap;
+        pictureMap = jQuery.cookie('picture_map');
+        typeSave = jQuery.cookie('picture_deriv');
+
+        old_img = jQuery.cookie('img');
+        old_window_height = jQuery.cookie('window_height');
+        old_window_width = jQuery.cookie('window_width');
+        old_img_h = jQuery.cookie('img_h');
+        old_img_w = jQuery.cookie('img_w');
+        set_cookies({
+
       });
-      */
-      //=========================================================       
-      if (typeof img_width == "undefined") {
-        if (List_autosize.length == 0) return;
-        wait_resize = false;
-        if (List_autosize_resize()) Wait_Affichage();
-        return true;
-      }
-      //============================================================
-      Autosize_init();
-      Bandeau_bas = infos_Description_f("#theImage");
-      if (typeof Bandeau_bas != "undefined") Bandeau = Bandeau_bas.top;
-      else Bandeau = 0;
-      Wait_Affichage();
-      Autosize_resize(true, { id_map: "autosize" });
-    }); // window.onload
-    /***********************************************************
-    *  RESIZE 
-    ***********************************************************/
-    jQuery(window).resize(
+
+      if (typeof Window_Affichage != "undefined") {
+        jQuery.cookie('window_height', Window_Affichage.height, { path: "/" });
+        jQuery.cookie('window_width', Window_Affichage.width, { path: "/" });
+      }
+    }
+  } catch (r) {
+
+  }
+
+}); //unload
+
+
+
+
+/********************************************
+*  window LOAD
+********************************************/
+jQuery(window).load(function () {
+  href = location.href;
+  var aff_ok = false;
+  if (DEBUG_autosize == "true") {
+    for (var i = 0; i < 10; i++) {
+      jQuery('#adddebugs').click();
+    }
+    jQuery(jQuery('.debug').get(i - 1)).click();
+  }
+
+  Autosize_init();
+  //=========================================================  
+
+  Bandeau_bas = infos_Description_f("#theImage");
+  if (typeof Bandeau_bas != "undefined") Bandeau = Bandeau_bas.top;
+  else Bandeau = 0;
+
+
+  if (!theImage_init("#theMainImage")) {
+    Autosize_resize(true, options);
+    Set_llbgo(true);
+    Wait_Affichage();
+  } else {
+    set_cl(options.useMap.match(RegExp("Autosize", "gi")));
+    Set_llbgo();
+  }
+
+
+
+
+  //=================================================================================
+}); // window.onload
+/***********************************************************
+*  RESIZE 
+***********************************************************/
+jQuery(window).resize(
                        function (event, ui) {
                          List_autosize_resize(event, ui);
-                         if (Autosize_resize(true))
-                           if (Autosize_resize(true));
+                         Autosize_resize(true, options);
                          Wait_Affichage();
                        });
 
-    /************************************
-    * Extend 
-    ************************************/
-    jQuery.fn.extend({
-      //==========================================================
-      infos_description: function (e) {
-        return infos_Description_f(e);
-      },
-      //=============================================================
-      on: function (e) {
-        return;
-      },
-      /*
-      * recherche la plus grande image (hauteur ou largeur)
-      */
-      Get_Img_Maxi: function (myobj) {
-        return Get_Img_Maxi(myobj);
-      },
-      //============================================================
-      affiche_debug: function (aff_infos) {
-        affiche_debug(aff_infos);
-      }
-
-
-    }); //  fin extend  
-    //=================================================================================
- 
-      /*****************
-      * changeImgSrc1
-      ******************/
-      changeImgSrc = function (url, typeSave, typeMap) {
-        var theImg = document.getElementById("theMainImage");
-        if (theImg) {
-          theImg.removeAttribute("width");
-          theImg.removeAttribute("height");
-          //  theImg.useMap = "#map" + typeMap;
-          if (typeMap == "Autosize") {
-            theImg.useMap = "#" + typeMap;
-          } else {
-            theImg.useMap = "#map" + typeSave;
-          }
-          jQuery('#derivativeSwitchBox .switchCheck').css('visibility', 'hidden');
-          jQuery('#derivativeChecked' + typeMap).css('visibility', 'visible');
-
-          document.cookie = 'picture_deriv=' + typeSave + ';path="' + cookie_path + '" ';
-        jQuery.cookie('picture_deriv', typeSave, { path: cookie_path });
-        jQuery.cookie('picture_map', typeMap, { path: cookie_path });
-          theImg.src = url; // charge Image 
-
-        }
-      }          //changeImgSrc1
-
-    Wait_pamoorama = function () {
-      if (jQuery("#pamoorama").length) {
-        mypanorama = window.myPamoorama;
-        if (!mypanorama) {
-          tempo = tempo + 1;
-          if (tempo > 10)
-            return true;
-          setTimeout("Wait_pamoorama()", 500);
-          return false;
-        }
-        if (mypanorama.skipInit == false) {
-          setTimeout("Wait_pamoorama()", 500);
-          return false;
-        }
-        //=============================================================
-        infos_pamoorama = jQuery("#pamoorama").infos();
-        if (Math.abs(infos_pamoorama.height) < 50) {
-          setTimeout("Wait_pamoorama()", 500);
-          return false;
-        }
-        nopano = true;
-        theMainImage_obj = "#pamoorama";
-
-      }
-    } // Wait_pamoorama
-    //====================================================================================
-    Wait_Affichage = function () {
-      if (typeof fade_in == "undefined") fade_in = 1000;
-      fade_in = parseInt(fade_in);
-      /*
-      if (!Autosize_resize()) {
-      setTimeout("Wait_Affichage()", 500);
-      return
-      }  
-      nu_img++;     
-      */
-      if (typeof fade_in == "undefined") fade_in = 0;
-      if (fade_in == 0) {
-        jQuery("#theImage").css({ opacity: "1" });
-        jQuery("#theImg").css({ opacity: "1" });
-        jQuery("#imageTitleContainer").css({ opacity: "1" });
-        jQuery("#theImageAndTitle").css({ opacity: "1" });
-      } else {
-        jQuery("#theImage").animate({ opacity: "1" },
+/*****************
+* changeImgSrc1
+******************/
+changeImgSrc = function (url, typeSave, useMap) {
+  var theImg = document.getElementById(theMainImage_Id.replace("#", ""));
+  if (theImg) {
+    theImg.removeAttribute("width");
+    theImg.removeAttribute("height");
+    //  theImg.useMap = "#map" + useMap;
+
+    jQuery('#derivativeSwitchBox .switchCheck').css('visibility', 'hidden');
+    jQuery('#derivativeChecked' + useMap.replace("#", "")).css('visibility', 'visible');
+    options.useMap = useMap;
+    if (useMap.match("Autosize")) {
+      pictureMap = "#" + "Autosize";
+    } else {
+      pictureMap = "#map" + typeSave;
+    }
+    theImg.src = url; // charge Image 
+    theImg.useMap = pictureMap;
+    infos_theMainImage = jQuery(theMainImage_Id).infos();
+    infos_theMainImage.useMap = theImg.useMap;
+    Save_cookies({
+      typeSave: typeSave,
+      pictureMap: pictureMap,
+      imgSrc: url
+    });
+    cookies = Get_cookies();
+
+  }
+
+
+}          //changeImgSrc1
+/************************************
+*
+************************************/
+Wait_pamoorama = function () {
+  if (jQuery("#pamoorama").length) {
+    mypanorama = window.myPamoorama;
+    if (!mypanorama) {
+      tempo = tempo + 1;
+      if (tempo > 10)
+        return true;
+      setTimeout("Wait_pamoorama()", 500);
+      return false;
+    }
+    if (mypanorama.skipInit == false) {
+      setTimeout("Wait_pamoorama()", 500);
+      return false;
+    }
+    //=============================================================
+    infos_pamoorama = jQuery("#pamoorama").infos();
+    if (Math.abs(infos_pamoorama.height) < 50) {
+      setTimeout("Wait_pamoorama()", 500);
+      return false;
+    }
+    nopano = true;
+    theMainImage_Id = "#pamoorama";
+
+  }
+} // Wait_pamoorama
+//====================================================================================
+Wait_Affichage = function () {
+
+  if (typeof fade_in == "undefined") fade_in = 1000;
+  fade_in = parseInt(fade_in);
+  /*
+  if (!Autosize_resize()) {
+  setTimeout("Wait_Affichage()", 500);
+  return
+  }  
+  nu_img++;     
+  */
+  if (typeof fade_in == "undefined") fade_in = 0;
+  if (fade_in == 0) {
+    jQuery("#theImage").css({ opacity: "1" });
+    jQuery("#theImg").css({ opacity: "1" });
+    jQuery("#imageTitleContainer").css({ opacity: "1" });
+    jQuery("#theImageAndTitle").css({ opacity: "1" });
+  } else {
+    jQuery("#theImage").animate({ opacity: "1" },
                                                  fade_in, "swing",
                                                  function (i) {
